# This spec file creates one relocatable RPM, containing
# both the library files and any headers to install. It's
# likely package bloat to use separate RPMs for such a small
# number of files ...
%define prefix		/usr
%define version		0.10

Summary: A collection of essential plugins for libnetdude
Name: libnetdude-plugin-essentials
Version: %{version}
Release: 1
License: BSD
Group: Applications/Communications
URL: http://netdude.sf.net
# Using FTP to get around SourceForge's habit of adding something after .tar.gz
Source: ftp://ftp.sf.net/pub/sourceforge/netdude/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Packager: Christian Kreibich <christian@whoop.org>
Requires: libnetdude >= 0.10

Prefix: %{prefix}

%description
This package contains a set of essential feature plugins for
libnetdude.  It contains plugins for tracking IP flows (conntrack),
counting TCP/UDP flows (count), demultiplexing flows (demux),
reporting packet inter-arrival times (iat), multiplexing and
chronologically reordering traces and flows (mux), chronologically
sorting large sets of traces (sort), collection of elementary protocol
statistics (ta), reporting basic trace file information (traceinfo),
and an API-only plugin that simplifies handling sets of traces
(traceset).

%prep
%setup -q
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=$RPM_BUILD_ROOT%prefix --with-prefix-subst
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$RPM_BUILD_ROOT%prefix --with-prefix-subst
fi

%build
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/include/libnetdude/*
%{prefix}/share/libnetdude/*

%changelog
* Mon Jun 04 2007 Christian Kreibich <christian@whoop.org> 
- Rebuindled a subset of the plugins into this package.
